upstream zabbix-server {
  server 127.0.0.1:10051;
}

server {
  listen      80;
  server_name {{  inventory_hostname }};

  # Redirect all non-https requests
  rewrite ^ https://$host$request_uri? permanent;
}

server {
  listen 443 ssl;
  server_name {{  inventory_hostname }};

  ssl_protocols TLSv1.3 TLSv1.2;
  ssl_ciphers 'EECDH+AESGCM:EDH+AESGCM:AES256+EECDH:AES256+EDH';
  ssl_prefer_server_ciphers on;
  ssl_session_cache shared:SSL:10m;
  ssl_certificate /etc/nginx/ssl/{{  inventory_hostname }}.crt;
  ssl_certificate_key /etc/nginx/ssl/{{ inventory_hostname }}.key;

  location / {
    proxy_pass http://zabbix-server;
    proxy_set_header  Host              $http_host;   # required for docker client's sake
    proxy_set_header  X-Real-IP         $remote_addr; # pass on real client's IP
    proxy_set_header  X-Forwarded-For   $proxy_add_x_forwarded_for;
    proxy_set_header  X-Forwarded-Proto $scheme;
  }
}